Get All Event Topics

Get All Event Topics
Get all Event Topics

Get all Event Topics with specified paging parameters.

Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/event-broker/api/topics
COPY
Query Parameters
integer
page
Optional
Constraints: minimum: 0 default: 0

Zero-based page index (0..N)

integer
size
Optional
Constraints: minimum: 1 default: 20

The size of the page to be returned

string of array
sort
Optional

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.


Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with Event Topics on pages

Returns PageEventTopic of type(s) application/json
{
    "totalPages": 0,
    "totalElements": 0,
    "pageable": {
        "pageNumber": 0,
        "paged": false,
        "offset": 0,
        "sort": {
            "sorted": false,
            "empty": false,
            "unsorted": false
        },
        "pageSize": 0,
        "unpaged": false
    },
    "size": 0,
    "content": [
        {
            "id": "string",
            "serviceTypeId": "string",
            "orgId": "string",
            "type": "string",
            "name": "string",
            "description": "string",
            "schema": {
                "id": "string",
                "fields": [
                    {
                        "id": "string",
                        "label": "string",
                        "description": "string",
                        "dataType": "ComplexDataType Object",
                        "readOnly": false,
                        "multiValued": false
                    }
                ]
            },
            "blockable": false,
            "shared": false,
            "tenancy": "string"
        }
    ],
    "number": 0,
    "sort": {
        "sorted": false,
        "empty": false,
        "unsorted": false
    },
    "numberOfElements": 0,
    "first": false,
    "last": false,
    "empty": false
}
integer As int32 As int32
totalPages
Optional

totalPages

integer As int64 As int64
totalElements
Optional

totalElements

object
pageable
Optional

pageable

integer As int32 As int32
size
Optional

size

array of object
content
Optional

content

integer As int32 As int32
number
Optional

number

object
sort
Optional

sort

integer As int32 As int32
numberOfElements
Optional

numberOfElements

boolean
first
Optional

first

boolean
last
Optional

last

boolean
empty
Optional

empty


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/event-broker/api/topics